<?php
/**
 * Created by PhpStorm.
 * User: tuliomagalhaes
 * Date: 19/05/14
 * Time: 12:28
 */

namespace Factory;


class Commitment {

    private $entityManager;

    public function __construct( \Doctrine\ORM\EntityManager $entityManager){
        $this->entityManager = $entityManager;
    }

    function createCommitment($CommitmentType,$status = 'A', $calendar, $beginDate, $endDate, $name, $organization, $updatedBy, $createdBy){

        $entity = new \Zeedhi\DevOps\Model\Projectmanagement\Entities\Commitment();
        $entity->setCalendar($calendar);
        $entity->setOrganization($organization);
        $entity->setCommitmentType($CommitmentType);
        $entity->setStatus($status);
        $entity->setBeginDate($beginDate);
        $entity->setEndDate($endDate);
        $entity->setName($name);
        $entity->setUpdatedBy($updatedBy);
        $entity->setCreatedBy($createdBy);

        return $entity;
    }
    function createCommitmentException(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Calendar $calendar,\Zeedhi\DevOps\Model\Projectmanagement\Entities\CommitmentType $commitmentType,$name,\DateTime$beginDate,
                                       \DateTime $endDate,$status,$unit,$timeBreak,$beginTimeBreak,$endTimeBreak,$user,$organization){

        $entity = new \Zeedhi\DevOps\Model\Projectmanagement\Entities\Commitment();
        $entity->setCalendar($calendar);
        $entity->setOrganization($organization);
        $entity->setCommitmentType($commitmentType);
        $entity->setStatus($status);
        $entity->setBeginDate($beginDate);
        $entity->setEndDate($endDate);
        $entity->setName($name);
        $entity->setUpdatedBy($user);
        $entity->setTimeBreak($timeBreak);
        $entity->setBeginTimeBreak($beginTimeBreak);
        $entity->setEndTimeBreak($endTimeBreak);
        $entity->setUnit($unit);

        return $entity;
    }
    function updateCommitmentException(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Commitment $entity,\Zeedhi\DevOps\Model\Projectmanagement\Entities\CommitmentType $commitmentType,$status,\Zeedhi\DevOps\Model\Projectmanagement\Entities\Calendar $calendar,\DateTime $beginDate,
                                       \DateTime$endDate, $name,$unit,$timeBreak, $beginTimeBreak, $endTimeBreak, $organization,\Zeedhi\DevOps\Model\Projectmanagement\Entities\BusinessPartner $user){

        $entity->setCalendar($calendar);
        $entity->setOrganization($organization);
        $entity->setCommitmentType($commitmentType);
        $entity->setStatus($status);
        $entity->setBeginDate($beginDate);
        $entity->setEndDate($endDate);
        $entity->setName($name);
        $entity->setUpdatedBy($user);
        $entity->setUnit($unit);
        $entity->setTimeBreak($timeBreak);
        $entity->setBeginTimeBreak($beginTimeBreak);
        $entity->setEndTimeBreak($endTimeBreak);

        return $entity;
    }
    function updateCommitment(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Commitment $entity,$CommitmentType,$status, $calendar, $beginDate, $endDate, $name, $updatedBy){

        $entity->setCalendar($calendar);
        $entity->setCommitmentType($CommitmentType);
        $entity->setStatus($status);
        $entity->setBeginDate($beginDate);
        $entity->setEndDate($endDate);
        $entity->setName($name);
        $entity->setUpdatedBy($updatedBy);

        return $entity;
    }


} 