<?php
/**
 * Created by PhpStorm.
 * User: phillipesilva
 * Date: 05/01/2016
 * Time: 14:10
 */

namespace Factory;

use Zeedhi\DevOps\Model\Configurationmanager\Entities\Branch as BranchEntity;
use Zeedhi\DevOps\Model\Configurationmanager\Entities\Product as ProductEntity;
use Zeedhi\DevOps\Model\Configurationmanager\Entities\Subrelease as SubreleaseEntity;

class Branch {
    public function saveBranch(BranchEntity $branch = null, ProductEntity $product, SubreleaseEntity $subrelease, $name, $description = null) {
        if (!$branch) {
            $branch = new BranchEntity();
        }

        $branch->setProduct($product);
        $branch->setSubrelease($subrelease);
        $branch->setName($name);
        $branch->setDescription($description);

        return $branch;
    }
} 