<?php

namespace Factory;

use Util\Messages;
use Zeedhi\DevOps\Model\Projectmanagement\Entities;

class Product
{

    public function saveProduct(\Zeedhi\DevOps\Model\Configurationmanager\Entities\Product $product = null,
                                Entities\Project $project)
    {
        if (!$product) {
            $product = new \Zeedhi\DevOps\Model\Configurationmanager\Entities\Product();
        }
        $product->setProject($project);
        $product->setName($project->getName());
        $product->setDescription(Messages::DEO_CREATE_DESCRIPTION_DEFAULT);
        return $product;
    }

}